Package org.eclipse.ecf.console

## Class AbstractCommand

- java.lang.Object
- - org.eclipse.ecf.console.AbstractCommand

    public abstract class AbstractCommand
    extends Object

### Field Summary

Fields
`protected static String` `CONTAINER_INSPECT_FORMAT`
`protected static String` `CONTAINER_LINE_FORMAT`
`protected static String` `CTD_INSPECT_FORMAT`
`protected static String` `CTD_LINE_FORMAT`
`protected static String` `NAMESPACE_INSPECT_FORMAT`
`protected static String` `NAMESPACE_LINE_FORMAT`

### Constructor Summary

Constructors
`AbstractCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `consoleLine​(org.apache.felix.service.command.CommandSession cs, String format, Object... args)`
`protected String` `formatConfig​(ContainerTypeDescription ctd, int level, org.apache.felix.service.command.Converter escape)`
`protected String` `formatContainer​(IContainer c, int level, org.apache.felix.service.command.Converter escape)`
`protected String` `formatLine​(String format, Object... args)`
`protected String` `formatNamespace​(Namespace ns, int level, org.apache.felix.service.command.Converter escape)`
`protected List<ContainerTypeDescription>` `getConfigs()`
`protected IContainer` `getContainerForId​(String id)`
`protected abstract IContainerManager` `getContainerManager()`
`protected List<IContainer>` `getContainers()`
`protected ContainerTypeDescription` `getContainerTypeDescription​(ID containerID)`
`protected abstract IIDFactory` `getIDFactory()`
`protected List<Namespace>` `getNamespaces()`
`protected String` `printClassArrays​(Class<?>[][] types)`
`protected String` `printStringArray​(String[] strarr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTAINER_LINE_FORMAT

    protected static final String CONTAINER_LINE_FORMAT

See Also:
  Constant Field Values

#### CONTAINER_INSPECT_FORMAT

    protected static final String CONTAINER_INSPECT_FORMAT

See Also:
  Constant Field Values

#### NAMESPACE_LINE_FORMAT

    protected static final String NAMESPACE_LINE_FORMAT

See Also:
  Constant Field Values

#### NAMESPACE_INSPECT_FORMAT

    protected static final String NAMESPACE_INSPECT_FORMAT

See Also:
  Constant Field Values

#### CTD_LINE_FORMAT

    protected static final String CTD_LINE_FORMAT

See Also:
  Constant Field Values

#### CTD_INSPECT_FORMAT

    protected static final String CTD_INSPECT_FORMAT

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractCommand

    public AbstractCommand()

### Method Detail

#### getContainerManager

    protected abstract IContainerManager getContainerManager()

#### getIDFactory

    protected abstract IIDFactory getIDFactory()

#### getContainers

    protected List<IContainer> getContainers()

#### getNamespaces

    protected List<Namespace> getNamespaces()

#### getConfigs

    protected List<ContainerTypeDescription> getConfigs()

#### consoleLine

    protected void consoleLine​(org.apache.felix.service.command.CommandSession cs,
                               String format,
                               Object... args)

#### getContainerTypeDescription

    protected ContainerTypeDescription getContainerTypeDescription​(ID containerID)

#### getContainerForId

    protected IContainer getContainerForId​(String id)

#### printClassArrays

    protected String printClassArrays​(Class<?>[][] types)

#### formatLine

    protected String formatLine​(String format,
                                Object... args)

#### formatContainer

    protected String formatContainer​(IContainer c,
                                     int level,
                                     org.apache.felix.service.command.Converter escape)

#### formatNamespace

    protected String formatNamespace​(Namespace ns,
                                     int level,
                                     org.apache.felix.service.command.Converter escape)

#### formatConfig

    protected String formatConfig​(ContainerTypeDescription ctd,
                                  int level,
                                  org.apache.felix.service.command.Converter escape)

#### printStringArray

    protected String printStringArray​(String[] strarr)